Get subtasks
curl --request GET \
--url https://api.smokeball.com/tasks/{taskId}/subtasks \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"parentTask": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"createdBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"completedBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"lastUpdatedBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"subject": "Confer with Mary",
"completedDate": "2020-02-15T13:00:00Z",
"completedDateOnly": "2020-02-15T00:00:00",
"createdDate": "2020-02-15T13:00:00Z",
"createdDateOnly": "2020-02-15T00:00:00",
"isCompleted": false,
"isDeleted": false,
"lastUpdated": 637847425252027400
}
]
}Tasks
Get subtasks
Returns a list of subtasks for a specified task if associated with the authenticated client.
GET
/
tasks
/
{taskId}
/
subtasks
Get subtasks
curl --request GET \
--url https://api.smokeball.com/tasks/{taskId}/subtasks \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"parentTask": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"createdBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"completedBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"lastUpdatedBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"subject": "Confer with Mary",
"completedDate": "2020-02-15T13:00:00Z",
"completedDateOnly": "2020-02-15T00:00:00",
"createdDate": "2020-02-15T13:00:00Z",
"createdDateOnly": "2020-02-15T00:00:00",
"isCompleted": false,
"isDeleted": false,
"lastUpdated": 637847425252027400
}
]
}Path Parameters
āI